Name:           dracut-network-manager-wireless
Version:        1.0.0
Release:        1%{?dist}
Summary:    This project provides a custom Dracut module for initializing Wi-Fi connections with wpa_supplicant and NetworkManager during the early boot process, particularly within an initramfs environment.

License:   Apache-2.0
URL:            https://github.com/b14ckw1d0w/%{name}
Source0:      https://github.com/b14ckw1d0w/%{name}/archive/v%{version}.tar.gz
%define SHA512SUM0 33f3b8cee5b9dd22cab97510a9aa8ea5e0df78dd6ee029d8d52ee1a1bbd9f2a2ec0f2bdce2a5bddd10beef27299fd21a0de4a051293525bdeb4a2da3d1b74ccc

BuildArch: noarch

Requires: dracut-network wpa_supplicant
BuildRequires: coreutils

%define dracutlibdir %{_prefix}/lib/dracut

%description


%prep
echo "%SHA512SUM0  %SOURCE0" | sha512sum -c -
%autosetup


%build


%install
mkdir -p $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/30network-manager-wireless/
install -m 0755 src/usr/lib/dracut/modules.d/30network-manager-wireless/module-setup.sh $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/30network-manager-wireless/module-setup.sh

mkdir -p $RPM_BUILD_ROOT/etc/dracut.conf.d/
echo 'add_dracutmodules+=" network-manager-wireless "' >> $RPM_BUILD_ROOT/etc/dracut.conf.d/network-manager-wireless.conf

%files
%{dracutlibdir}/modules.d/30network-manager-wireless/module-setup.sh
/etc/dracut.conf.d/network-manager-wireless.conf


%changelog
* Mon May 19 2025 Tadeusz Magura-Witkowski <tadeuszmw@gmail.com> - 1.0.0-1
- First packaged version
